Get Collection Metadata
GET
/collections/datasets
const url = 'https://example.com/collections/datasets';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/collections/datasetsGet metadata for the datasets collection.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
OGCCollectionMetadataResponse
Response for /collections/datasets single collection metadata.
object
description
required
Description
string
id
required
Id
string
itemType
Itemtype
string
links
required
Links
Array<object>
object
key
additional properties
any
title
required
Title
string
Example
{ "itemType": "record"}Bad request — invalid query parameters or payload
Media type application/problem+json
Not found
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json